org.apache.commons.configuration2.resolver

## Class CatalogResolver.CatalogManager

- java.lang.Object
- - org.apache.xml.resolver.CatalogManager
  - - org.apache.commons.configuration2.resolver.CatalogResolver.CatalogManager

- Enclosing class:
    CatalogResolver

      public static class CatalogResolver.CatalogManager
      extends org.apache.xml.resolver.CatalogManager

  Extend the CatalogManager to make the FileSystem and base directory accessible.

- - ### Field Summary

    - ### Fields inherited from class org.apache.xml.resolver.CatalogManager

      `debug`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CatalogManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBaseDir()` Return the base directory.
    `org.apache.xml.resolver.Catalog` | `getCatalog()` Get a catalog instance.
    `FileSystem` | `getFileSystem()` Retrieve the FileSystem.
    `ConfigurationInterpolator` | `getInterpolator()`
    `org.apache.xml.resolver.Catalog` | `getPrivateCatalog()` Get a new catalog instance.
    `void` | `setBaseDir(String baseDir)` Set the base directory.
    `void` | `setFileSystem(FileSystem fileSystem)` Set the FileSystem
    `void` | `setInterpolator(ConfigurationInterpolator ci)`

    - ### Methods inherited from class org.apache.xml.resolver.CatalogManager

      `allowOasisXMLCatalogPI, catalogClassName, catalogFiles, getAllowOasisXMLCatalogPI, getBootstrapResolver, getCatalogClassName, getCatalogFiles, getIgnoreMissingProperties, getPreferPublic, getRelativeCatalogs, getStaticManager, getUseStaticCatalog, getVerbosity, ignoreMissingProperties, preferPublic, queryAllowOasisXMLCatalogPI, queryCatalogClassName, relativeCatalogs, setAllowOasisXMLCatalogPI, setBootstrapResolver, setCatalogClassName, setCatalogFiles, setIgnoreMissingProperties, setPreferPublic, setRelativeCatalogs, setUseStaticCatalog, setVerbosity, staticCatalog, verbosity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CatalogManager

          public CatalogManager()

  - ### Method Detail

    - #### setFileSystem

          public void setFileSystem(FileSystem fileSystem)

      Set the FileSystem
      Parameters:
        `fileSystem` - The FileSystem in use.

    - #### getFileSystem

          public FileSystem getFileSystem()

      Retrieve the FileSystem.
      Returns:
        The FileSystem.

    - #### setBaseDir

          public void setBaseDir(String baseDir)

      Set the base directory.
      Parameters:
        `baseDir` - The base directory.

    - #### getBaseDir

          public String getBaseDir()

      Return the base directory.
      Returns:
        The base directory.

    - #### setInterpolator

          public void setInterpolator(ConfigurationInterpolator ci)

    - #### getInterpolator

          public ConfigurationInterpolator getInterpolator()

    - #### getPrivateCatalog

          public org.apache.xml.resolver.Catalog getPrivateCatalog()

      Get a new catalog instance. This method is only overridden because xml-resolver might be in a parent ClassLoader and will be incapable of loading our Catalog implementation. This method always returns a new instance of the underlying catalog class.
      Overrides:
        `getPrivateCatalog` in class `org.apache.xml.resolver.CatalogManager`
      Returns:
        the Catalog.

    - #### getCatalog

          public org.apache.xml.resolver.Catalog getCatalog()

      Get a catalog instance. If this manager uses static catalogs, the same static catalog will always be returned. Otherwise a new catalog will be returned.
      Overrides:
        `getCatalog` in class `org.apache.xml.resolver.CatalogManager`
      Returns:
        The Catalog.

Copyright © 2001–2017 The Apache Software Foundation. All rights reserved.